<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Offcanvas extends Component {
    /**
     * Create a new component instance.
     *
     * @return void
     */


    public $closable;
    public function __construct($closable = true){
        $this->closable = $closable;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render(){
        $title_id = uniqid("title_id_");
        return view('components.offcanvas',compact("title_id"));
    }
}
